(* ------------------------------------------------------ *)
(*                   PLAYDISK.PAS                         *)
(*  Demo fr Verwendung der Unit MUSIC fr Textdateien    *)
(*       Beispieldatei:  BACH.MSK  (auf Databox)          *)
(*         (c) 1989  Alexander Sunder  & TOOLBOX          *)
(* ------------------------------------------------------ *)
PROGRAM Play_Musik_aus_Datei;

USES crt, Music;

VAR
  Datei : TEXT;
  Zeile : STRING;

BEGIN
  IF ParamCount > 0 THEN BEGIN
    Zeile := ParamStr(1);
    Assign(Datei, Zeile + '.MSK');
    {$I-}
    Reset(Datei);
    {$I+}
    IF IOResult = 0 THEN BEGIN
      WHILE NOT (Eof(Datei)) DO BEGIN
        ReadLn(Datei, Zeile);
        Play(Zeile);
      END;
      Close(Datei);
    END;
  END;
END.
(* ------------------------------------------------------ *)
(*               Ende von PLAYDISK.PAS                    *)
